version 1.35 | | version 1.36 |
---|
| | |
fi | | fi |
| | |
| | |
| | echo "$as_me:$LINENO: checking for long" >&5 |
| | echo $ECHO_N "checking for long... $ECHO_C" >&6 |
| | if test "${ac_cv_type_long+set}" = set; then |
| | echo $ECHO_N "(cached) $ECHO_C" >&6 |
| | else |
| | cat >conftest.$ac_ext <<_ACEOF |
| | #line $LINENO "configure" |
| | #include "confdefs.h" |
| | $ac_includes_default |
| | #ifdef F77_DUMMY_MAIN |
| | # ifdef __cplusplus |
| | extern "C" |
| | # endif |
| | int F77_DUMMY_MAIN() { return 1; } |
| | #endif |
| | int |
| | main () |
| | { |
| | if ((long *) 0) |
| | return 0; |
| | if (sizeof (long)) |
| | return 0; |
| | ; |
| | return 0; |
| | } |
| | _ACEOF |
| | rm -f conftest.$ac_objext |
| | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 |
| | (eval $ac_compile) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); } && |
| | { ac_try='test -s conftest.$ac_objext' |
| | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
| | (eval $ac_try) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); }; }; then |
| | ac_cv_type_long=yes |
| | else |
| | echo "$as_me: failed program was:" >&5 |
| | cat conftest.$ac_ext >&5 |
| | ac_cv_type_long=no |
| | fi |
| | rm -f conftest.$ac_objext conftest.$ac_ext |
| | fi |
| | echo "$as_me:$LINENO: result: $ac_cv_type_long" >&5 |
| | echo "${ECHO_T}$ac_cv_type_long" >&6 |
| | |
| | echo "$as_me:$LINENO: checking size of long" >&5 |
| | echo $ECHO_N "checking size of long... $ECHO_C" >&6 |
| | if test "${ac_cv_sizeof_long+set}" = set; then |
| | echo $ECHO_N "(cached) $ECHO_C" >&6 |
| | else |
| | if test "$ac_cv_type_long" = yes; then |
| | # The cast to unsigned long works around a bug in the HP C Compiler |
| | # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects |
| | # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'. |
| | # This bug is HP SR number 8606223364. |
| | if test "$cross_compiling" = yes; then |
| | # Depending upon the size, compute the lo and hi bounds. |
| | cat >conftest.$ac_ext <<_ACEOF |
| | #line $LINENO "configure" |
| | #include "confdefs.h" |
| | $ac_includes_default |
| | #ifdef F77_DUMMY_MAIN |
| | # ifdef __cplusplus |
| | extern "C" |
| | # endif |
| | int F77_DUMMY_MAIN() { return 1; } |
| | #endif |
| | int |
| | main () |
| | { |
| | static int test_array [1 - 2 * !(((long) (sizeof (long))) >= 0)]; |
| | test_array [0] = 0 |
| | |
| | ; |
| | return 0; |
| | } |
| | _ACEOF |
| | rm -f conftest.$ac_objext |
| | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 |
| | (eval $ac_compile) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); } && |
| | { ac_try='test -s conftest.$ac_objext' |
| | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
| | (eval $ac_try) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); }; }; then |
| | ac_lo=0 ac_mid=0 |
| | while :; do |
| | cat >conftest.$ac_ext <<_ACEOF |
| | #line $LINENO "configure" |
| | #include "confdefs.h" |
| | $ac_includes_default |
| | #ifdef F77_DUMMY_MAIN |
| | # ifdef __cplusplus |
| | extern "C" |
| | # endif |
| | int F77_DUMMY_MAIN() { return 1; } |
| | #endif |
| | int |
| | main () |
| | { |
| | static int test_array [1 - 2 * !(((long) (sizeof (long))) <= $ac_mid)]; |
| | test_array [0] = 0 |
| | |
| | ; |
| | return 0; |
| | } |
| | _ACEOF |
| | rm -f conftest.$ac_objext |
| | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 |
| | (eval $ac_compile) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); } && |
| | { ac_try='test -s conftest.$ac_objext' |
| | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
| | (eval $ac_try) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); }; }; then |
| | ac_hi=$ac_mid; break |
| | else |
| | echo "$as_me: failed program was:" >&5 |
| | cat conftest.$ac_ext >&5 |
| | ac_lo=`expr $ac_mid + 1` |
| | if test $ac_lo -le $ac_mid; then |
| | ac_lo= ac_hi= |
| | break |
| | fi |
| | ac_mid=`expr 2 '*' $ac_mid + 1` |
| | fi |
| | rm -f conftest.$ac_objext conftest.$ac_ext |
| | done |
| | else |
| | echo "$as_me: failed program was:" >&5 |
| | cat conftest.$ac_ext >&5 |
| | cat >conftest.$ac_ext <<_ACEOF |
| | #line $LINENO "configure" |
| | #include "confdefs.h" |
| | $ac_includes_default |
| | #ifdef F77_DUMMY_MAIN |
| | # ifdef __cplusplus |
| | extern "C" |
| | # endif |
| | int F77_DUMMY_MAIN() { return 1; } |
| | #endif |
| | int |
| | main () |
| | { |
| | static int test_array [1 - 2 * !(((long) (sizeof (long))) < 0)]; |
| | test_array [0] = 0 |
| | |
| | ; |
| | return 0; |
| | } |
| | _ACEOF |
| | rm -f conftest.$ac_objext |
| | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 |
| | (eval $ac_compile) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); } && |
| | { ac_try='test -s conftest.$ac_objext' |
| | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
| | (eval $ac_try) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); }; }; then |
| | ac_hi=-1 ac_mid=-1 |
| | while :; do |
| | cat >conftest.$ac_ext <<_ACEOF |
| | #line $LINENO "configure" |
| | #include "confdefs.h" |
| | $ac_includes_default |
| | #ifdef F77_DUMMY_MAIN |
| | # ifdef __cplusplus |
| | extern "C" |
| | # endif |
| | int F77_DUMMY_MAIN() { return 1; } |
| | #endif |
| | int |
| | main () |
| | { |
| | static int test_array [1 - 2 * !(((long) (sizeof (long))) >= $ac_mid)]; |
| | test_array [0] = 0 |
| | |
| | ; |
| | return 0; |
| | } |
| | _ACEOF |
| | rm -f conftest.$ac_objext |
| | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 |
| | (eval $ac_compile) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); } && |
| | { ac_try='test -s conftest.$ac_objext' |
| | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
| | (eval $ac_try) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); }; }; then |
| | ac_lo=$ac_mid; break |
| | else |
| | echo "$as_me: failed program was:" >&5 |
| | cat conftest.$ac_ext >&5 |
| | ac_hi=`expr '(' $ac_mid ')' - 1` |
| | if test $ac_mid -le $ac_hi; then |
| | ac_lo= ac_hi= |
| | break |
| | fi |
| | ac_mid=`expr 2 '*' $ac_mid` |
| | fi |
| | rm -f conftest.$ac_objext conftest.$ac_ext |
| | done |
| | else |
| | echo "$as_me: failed program was:" >&5 |
| | cat conftest.$ac_ext >&5 |
| | ac_lo= ac_hi= |
| | fi |
| | rm -f conftest.$ac_objext conftest.$ac_ext |
| | fi |
| | rm -f conftest.$ac_objext conftest.$ac_ext |
| | # Binary search between lo and hi bounds. |
| | while test "x$ac_lo" != "x$ac_hi"; do |
| | ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo` |
| | cat >conftest.$ac_ext <<_ACEOF |
| | #line $LINENO "configure" |
| | #include "confdefs.h" |
| | $ac_includes_default |
| | #ifdef F77_DUMMY_MAIN |
| | # ifdef __cplusplus |
| | extern "C" |
| | # endif |
| | int F77_DUMMY_MAIN() { return 1; } |
| | #endif |
| | int |
| | main () |
| | { |
| | static int test_array [1 - 2 * !(((long) (sizeof (long))) <= $ac_mid)]; |
| | test_array [0] = 0 |
| | |
| | ; |
| | return 0; |
| | } |
| | _ACEOF |
| | rm -f conftest.$ac_objext |
| | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 |
| | (eval $ac_compile) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); } && |
| | { ac_try='test -s conftest.$ac_objext' |
| | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
| | (eval $ac_try) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); }; }; then |
| | ac_hi=$ac_mid |
| | else |
| | echo "$as_me: failed program was:" >&5 |
| | cat conftest.$ac_ext >&5 |
| | ac_lo=`expr '(' $ac_mid ')' + 1` |
| | fi |
| | rm -f conftest.$ac_objext conftest.$ac_ext |
| | done |
| | case $ac_lo in |
| | ?*) ac_cv_sizeof_long=$ac_lo;; |
| | '') { { echo "$as_me:$LINENO: error: cannot compute sizeof (long), 77" >&5 |
| | echo "$as_me: error: cannot compute sizeof (long), 77" >&2;} |
| | { (exit 1); exit 1; }; } ;; |
| | esac |
| | else |
| | if test "$cross_compiling" = yes; then |
| | { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling" >&5 |
| | echo "$as_me: error: cannot run test program while cross compiling" >&2;} |
| | { (exit 1); exit 1; }; } |
| | else |
| | cat >conftest.$ac_ext <<_ACEOF |
| | #line $LINENO "configure" |
| | #include "confdefs.h" |
| | $ac_includes_default |
| | long longval () { return (long) (sizeof (long)); } |
| | unsigned long ulongval () { return (long) (sizeof (long)); } |
| | #include <stdio.h> |
| | #include <stdlib.h> |
| | #ifdef F77_DUMMY_MAIN |
| | # ifdef __cplusplus |
| | extern "C" |
| | # endif |
| | int F77_DUMMY_MAIN() { return 1; } |
| | #endif |
| | int |
| | main () |
| | { |
| | |
| | FILE *f = fopen ("conftest.val", "w"); |
| | if (! f) |
| | exit (1); |
| | if (((long) (sizeof (long))) < 0) |
| | { |
| | long i = longval (); |
| | if (i != ((long) (sizeof (long)))) |
| | exit (1); |
| | fprintf (f, "%ld\n", i); |
| | } |
| | else |
| | { |
| | unsigned long i = ulongval (); |
| | if (i != ((long) (sizeof (long)))) |
| | exit (1); |
| | fprintf (f, "%lu\n", i); |
| | } |
| | exit (ferror (f) || fclose (f) != 0); |
| | |
| | ; |
| | return 0; |
| | } |
| | _ACEOF |
| | rm -f conftest$ac_exeext |
| | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 |
| | (eval $ac_link) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); } && { ac_try='./conftest$ac_exeext' |
| | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
| | (eval $ac_try) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); }; }; then |
| | ac_cv_sizeof_long=`cat conftest.val` |
| | else |
| | echo "$as_me: program exited with status $ac_status" >&5 |
| | echo "$as_me: failed program was:" >&5 |
| | cat conftest.$ac_ext >&5 |
| | ( exit $ac_status ) |
| | { { echo "$as_me:$LINENO: error: cannot compute sizeof (long), 77" >&5 |
| | echo "$as_me: error: cannot compute sizeof (long), 77" >&2;} |
| | { (exit 1); exit 1; }; } |
| | fi |
| | rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext |
| | fi |
| | fi |
| | rm -f conftest.val |
| | else |
| | ac_cv_sizeof_long=0 |
| | fi |
| | fi |
| | echo "$as_me:$LINENO: result: $ac_cv_sizeof_long" >&5 |
| | echo "${ECHO_T}$ac_cv_sizeof_long" >&6 |
| | cat >>confdefs.h <<_ACEOF |
| | #define SIZEOF_LONG $ac_cv_sizeof_long |
| | _ACEOF |
| | |
| | |
| | echo "$as_me:$LINENO: checking for long long" >&5 |
| | echo $ECHO_N "checking for long long... $ECHO_C" >&6 |
| | if test "${ac_cv_type_long_long+set}" = set; then |
| | echo $ECHO_N "(cached) $ECHO_C" >&6 |
| | else |
| | cat >conftest.$ac_ext <<_ACEOF |
| | #line $LINENO "configure" |
| | #include "confdefs.h" |
| | $ac_includes_default |
| | #ifdef F77_DUMMY_MAIN |
| | # ifdef __cplusplus |
| | extern "C" |
| | # endif |
| | int F77_DUMMY_MAIN() { return 1; } |
| | #endif |
| | int |
| | main () |
| | { |
| | if ((long long *) 0) |
| | return 0; |
| | if (sizeof (long long)) |
| | return 0; |
| | ; |
| | return 0; |
| | } |
| | _ACEOF |
| | rm -f conftest.$ac_objext |
| | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 |
| | (eval $ac_compile) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); } && |
| | { ac_try='test -s conftest.$ac_objext' |
| | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
| | (eval $ac_try) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); }; }; then |
| | ac_cv_type_long_long=yes |
| | else |
| | echo "$as_me: failed program was:" >&5 |
| | cat conftest.$ac_ext >&5 |
| | ac_cv_type_long_long=no |
| | fi |
| | rm -f conftest.$ac_objext conftest.$ac_ext |
| | fi |
| | echo "$as_me:$LINENO: result: $ac_cv_type_long_long" >&5 |
| | echo "${ECHO_T}$ac_cv_type_long_long" >&6 |
| | |
| | echo "$as_me:$LINENO: checking size of long long" >&5 |
| | echo $ECHO_N "checking size of long long... $ECHO_C" >&6 |
| | if test "${ac_cv_sizeof_long_long+set}" = set; then |
| | echo $ECHO_N "(cached) $ECHO_C" >&6 |
| | else |
| | if test "$ac_cv_type_long_long" = yes; then |
| | # The cast to unsigned long works around a bug in the HP C Compiler |
| | # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects |
| | # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'. |
| | # This bug is HP SR number 8606223364. |
| | if test "$cross_compiling" = yes; then |
| | # Depending upon the size, compute the lo and hi bounds. |
| | cat >conftest.$ac_ext <<_ACEOF |
| | #line $LINENO "configure" |
| | #include "confdefs.h" |
| | $ac_includes_default |
| | #ifdef F77_DUMMY_MAIN |
| | # ifdef __cplusplus |
| | extern "C" |
| | # endif |
| | int F77_DUMMY_MAIN() { return 1; } |
| | #endif |
| | int |
| | main () |
| | { |
| | static int test_array [1 - 2 * !(((long) (sizeof (long long))) >= 0)]; |
| | test_array [0] = 0 |
| | |
| | ; |
| | return 0; |
| | } |
| | _ACEOF |
| | rm -f conftest.$ac_objext |
| | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 |
| | (eval $ac_compile) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); } && |
| | { ac_try='test -s conftest.$ac_objext' |
| | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
| | (eval $ac_try) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); }; }; then |
| | ac_lo=0 ac_mid=0 |
| | while :; do |
| | cat >conftest.$ac_ext <<_ACEOF |
| | #line $LINENO "configure" |
| | #include "confdefs.h" |
| | $ac_includes_default |
| | #ifdef F77_DUMMY_MAIN |
| | # ifdef __cplusplus |
| | extern "C" |
| | # endif |
| | int F77_DUMMY_MAIN() { return 1; } |
| | #endif |
| | int |
| | main () |
| | { |
| | static int test_array [1 - 2 * !(((long) (sizeof (long long))) <= $ac_mid)]; |
| | test_array [0] = 0 |
| | |
| | ; |
| | return 0; |
| | } |
| | _ACEOF |
| | rm -f conftest.$ac_objext |
| | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 |
| | (eval $ac_compile) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); } && |
| | { ac_try='test -s conftest.$ac_objext' |
| | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
| | (eval $ac_try) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); }; }; then |
| | ac_hi=$ac_mid; break |
| | else |
| | echo "$as_me: failed program was:" >&5 |
| | cat conftest.$ac_ext >&5 |
| | ac_lo=`expr $ac_mid + 1` |
| | if test $ac_lo -le $ac_mid; then |
| | ac_lo= ac_hi= |
| | break |
| | fi |
| | ac_mid=`expr 2 '*' $ac_mid + 1` |
| | fi |
| | rm -f conftest.$ac_objext conftest.$ac_ext |
| | done |
| | else |
| | echo "$as_me: failed program was:" >&5 |
| | cat conftest.$ac_ext >&5 |
| | cat >conftest.$ac_ext <<_ACEOF |
| | #line $LINENO "configure" |
| | #include "confdefs.h" |
| | $ac_includes_default |
| | #ifdef F77_DUMMY_MAIN |
| | # ifdef __cplusplus |
| | extern "C" |
| | # endif |
| | int F77_DUMMY_MAIN() { return 1; } |
| | #endif |
| | int |
| | main () |
| | { |
| | static int test_array [1 - 2 * !(((long) (sizeof (long long))) < 0)]; |
| | test_array [0] = 0 |
| | |
| | ; |
| | return 0; |
| | } |
| | _ACEOF |
| | rm -f conftest.$ac_objext |
| | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 |
| | (eval $ac_compile) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); } && |
| | { ac_try='test -s conftest.$ac_objext' |
| | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
| | (eval $ac_try) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); }; }; then |
| | ac_hi=-1 ac_mid=-1 |
| | while :; do |
| | cat >conftest.$ac_ext <<_ACEOF |
| | #line $LINENO "configure" |
| | #include "confdefs.h" |
| | $ac_includes_default |
| | #ifdef F77_DUMMY_MAIN |
| | # ifdef __cplusplus |
| | extern "C" |
| | # endif |
| | int F77_DUMMY_MAIN() { return 1; } |
| | #endif |
| | int |
| | main () |
| | { |
| | static int test_array [1 - 2 * !(((long) (sizeof (long long))) >= $ac_mid)]; |
| | test_array [0] = 0 |
| | |
| | ; |
| | return 0; |
| | } |
| | _ACEOF |
| | rm -f conftest.$ac_objext |
| | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 |
| | (eval $ac_compile) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); } && |
| | { ac_try='test -s conftest.$ac_objext' |
| | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
| | (eval $ac_try) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); }; }; then |
| | ac_lo=$ac_mid; break |
| | else |
| | echo "$as_me: failed program was:" >&5 |
| | cat conftest.$ac_ext >&5 |
| | ac_hi=`expr '(' $ac_mid ')' - 1` |
| | if test $ac_mid -le $ac_hi; then |
| | ac_lo= ac_hi= |
| | break |
| | fi |
| | ac_mid=`expr 2 '*' $ac_mid` |
| | fi |
| | rm -f conftest.$ac_objext conftest.$ac_ext |
| | done |
| | else |
| | echo "$as_me: failed program was:" >&5 |
| | cat conftest.$ac_ext >&5 |
| | ac_lo= ac_hi= |
| | fi |
| | rm -f conftest.$ac_objext conftest.$ac_ext |
| | fi |
| | rm -f conftest.$ac_objext conftest.$ac_ext |
| | # Binary search between lo and hi bounds. |
| | while test "x$ac_lo" != "x$ac_hi"; do |
| | ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo` |
| | cat >conftest.$ac_ext <<_ACEOF |
| | #line $LINENO "configure" |
| | #include "confdefs.h" |
| | $ac_includes_default |
| | #ifdef F77_DUMMY_MAIN |
| | # ifdef __cplusplus |
| | extern "C" |
| | # endif |
| | int F77_DUMMY_MAIN() { return 1; } |
| | #endif |
| | int |
| | main () |
| | { |
| | static int test_array [1 - 2 * !(((long) (sizeof (long long))) <= $ac_mid)]; |
| | test_array [0] = 0 |
| | |
| | ; |
| | return 0; |
| | } |
| | _ACEOF |
| | rm -f conftest.$ac_objext |
| | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 |
| | (eval $ac_compile) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); } && |
| | { ac_try='test -s conftest.$ac_objext' |
| | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
| | (eval $ac_try) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); }; }; then |
| | ac_hi=$ac_mid |
| | else |
| | echo "$as_me: failed program was:" >&5 |
| | cat conftest.$ac_ext >&5 |
| | ac_lo=`expr '(' $ac_mid ')' + 1` |
| | fi |
| | rm -f conftest.$ac_objext conftest.$ac_ext |
| | done |
| | case $ac_lo in |
| | ?*) ac_cv_sizeof_long_long=$ac_lo;; |
| | '') { { echo "$as_me:$LINENO: error: cannot compute sizeof (long long), 77" >&5 |
| | echo "$as_me: error: cannot compute sizeof (long long), 77" >&2;} |
| | { (exit 1); exit 1; }; } ;; |
| | esac |
| | else |
| | if test "$cross_compiling" = yes; then |
| | { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling" >&5 |
| | echo "$as_me: error: cannot run test program while cross compiling" >&2;} |
| | { (exit 1); exit 1; }; } |
| | else |
| | cat >conftest.$ac_ext <<_ACEOF |
| | #line $LINENO "configure" |
| | #include "confdefs.h" |
| | $ac_includes_default |
| | long longval () { return (long) (sizeof (long long)); } |
| | unsigned long ulongval () { return (long) (sizeof (long long)); } |
| | #include <stdio.h> |
| | #include <stdlib.h> |
| | #ifdef F77_DUMMY_MAIN |
| | # ifdef __cplusplus |
| | extern "C" |
| | # endif |
| | int F77_DUMMY_MAIN() { return 1; } |
| | #endif |
| | int |
| | main () |
| | { |
| | |
| | FILE *f = fopen ("conftest.val", "w"); |
| | if (! f) |
| | exit (1); |
| | if (((long) (sizeof (long long))) < 0) |
| | { |
| | long i = longval (); |
| | if (i != ((long) (sizeof (long long)))) |
| | exit (1); |
| | fprintf (f, "%ld\n", i); |
| | } |
| | else |
| | { |
| | unsigned long i = ulongval (); |
| | if (i != ((long) (sizeof (long long)))) |
| | exit (1); |
| | fprintf (f, "%lu\n", i); |
| | } |
| | exit (ferror (f) || fclose (f) != 0); |
| | |
| | ; |
| | return 0; |
| | } |
| | _ACEOF |
| | rm -f conftest$ac_exeext |
| | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 |
| | (eval $ac_link) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); } && { ac_try='./conftest$ac_exeext' |
| | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
| | (eval $ac_try) 2>&5 |
| | ac_status=$? |
| | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | (exit $ac_status); }; }; then |
| | ac_cv_sizeof_long_long=`cat conftest.val` |
| | else |
| | echo "$as_me: program exited with status $ac_status" >&5 |
| | echo "$as_me: failed program was:" >&5 |
| | cat conftest.$ac_ext >&5 |
| | ( exit $ac_status ) |
| | { { echo "$as_me:$LINENO: error: cannot compute sizeof (long long), 77" >&5 |
| | echo "$as_me: error: cannot compute sizeof (long long), 77" >&2;} |
| | { (exit 1); exit 1; }; } |
| | fi |
| | rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext |
| | fi |
| | fi |
| | rm -f conftest.val |
| | else |
| | ac_cv_sizeof_long_long=0 |
| | fi |
| | fi |
| | echo "$as_me:$LINENO: result: $ac_cv_sizeof_long_long" >&5 |
| | echo "${ECHO_T}$ac_cv_sizeof_long_long" >&6 |
| | cat >>confdefs.h <<_ACEOF |
| | #define SIZEOF_LONG_LONG $ac_cv_sizeof_long_long |
| | _ACEOF |
| | |
| | |
| | |
if test $ac_cv_c_compiler_gnu = yes; then | | if test $ac_cv_c_compiler_gnu = yes; then |
echo "$as_me:$LINENO: checking whether $CC needs -traditional" >&5 | | echo "$as_me:$LINENO: checking whether $CC needs -traditional" >&5 |
echo $ECHO_N "checking whether $CC needs -traditional... $ECHO_C" >&6 | | echo $ECHO_N "checking whether $CC needs -traditional... $ECHO_C" >&6 |
| | |
done | | done |
| | |
if test "x$cf_have_python_h" = "x" ; then | | if test "x$cf_have_python_h" = "x" ; then |
for dir in /usr{,/local}/include/python{,2.2,2.1,2.0} ; do | | for dir in /usr{,local}/include/python{,2.2,2.1,2.0} ; do |
| | |
for ac_header in "$dir/Python.h" | | for ac_header in "$dir/Python.h" |
do | | do |